;main.asm
;main file for assembling

.NDS
.ARM

.open "AWDS-Original.nds", "AWDS-TagMod.nds", 0x1FFC000

.org 0x020E1928	;0xE5928
	;Disables Tag Firepower
	mov	r0,100
	bx	r14
	
.org 0x020E0084	;0xE4084
	;Disables Tag Partner Luck Boosts
	mov	r1,0
	
.org 0x020DD5E4	;0xE15E4
	;Disables Tag Power Unit Refresh
	nop
	
;Auto-unlock Function
.org	0x020230B4
	;Unlocks all COs, Force Ranks and Alt Costumes
	b	AutoUnlockFunction

.org	0x0215F0E0
AutoUnlockFunction:
	stmfd	r13!,{r0-r4}
	ldr	r0,=0x022A7F50
	ldrb	r1,[r0]
	orr	r1,0x85		;Force Ranks Unlocked
	strb	r1,[r0]
	ldr	r1,=0x0FFFFFFF	;COs Unlocked
	str	r1,[r0,0x2C]
	ldr	r0,=0x02290750
	mov	r3,0x1
	ldr	r4,=0x2710
AutoUnlockFunctionExperienceLoop:
	mov	r2,0x1C		;Ranks up CO to 10
	mul	r2,r2,r3
	ldr	r1,[r0,r2]
	mov	r1,r1,lsl 0xD
	mov	r1,r1,asr 0xD
	cmp	r1,r4
	ldrlt	r1,[r0,r2]
	movlt	r1,r1,asr 0x13
	movlt	r1,r1,lsl 0x13
	addlt	r1,r1,r4
	strlt	r1,[r0,r2]
	add	r3,1
	cmp	r3,0x1B
	blt	AutoUnlockFunctionExperienceLoop	
	
	
	ldmfd	r13!,{r0-r4}
	ldmfd	r13!,{r4,r14}
	bx	r14
	.pool
	
.close


;Blank Line